### Function

# Gio File new_tmp_finish

since: 2.74

#### Declaration [src]

    GFile*
    g_file_new_tmp_finish (
      GAsyncResult* result,
      GFileIOStream** iostream,
      GError** error
    )

#### Description [src]

Finishes a temporary file creation started by g_file_new_tmp_async().

Available since: 2.74

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`iostream`

  Type: `GFileIOStream`

  On return, a `GFileIOStream` for the created file.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFile`

A new `GFile`. Free the returned object with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.